Package org.apache.wiki.search

## Class SearchResultComparator

- java.lang.Object
- - org.apache.wiki.search.SearchResultComparator

All Implemented Interfaces:
  `java.io.Serializable`, `java.util.Comparator<SearchResult>`

    public class SearchResultComparator
    extends java.lang.Object
    implements java.util.Comparator<SearchResult>, java.io.Serializable

Simple class that decides which search results are more important than others.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SearchResultComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(SearchResult s1, SearchResult s2)` Compares two SearchResult objects, returning the one that scored higher.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### SearchResultComparator

    public SearchResultComparator()

### Method Detail

#### compare

    public int compare​(SearchResult s1,
                       SearchResult s2)

Compares two SearchResult objects, returning the one that scored higher.

Specified by:
  `compare` in interface `java.util.Comparator<SearchResult>`